package com.flossom.common.core.exception;

/**
 * 业务正常返回响应码，不是异常
 *
 * @author flossom
 */
public final class ServiceReturnCodeException extends RuntimeException {

    private static final long serialVersionUID = 1L;

    /**
     * 错误码
     */
    private Integer code;

    /**
     * 错误提示
     */
    private String message;

    /**
     * 错误明细，内部调试错误
     */
    private String detailMessage;

    /**
     * 空构造方法，避免反序列化问题
     */
    public ServiceReturnCodeException() {
    }

    public ServiceReturnCodeException(String message) {
        this.message = message;
    }

    public ServiceReturnCodeException(String message, Integer code) {
        this.message = message;
        this.code = code;
    }

    public String getDetailMessage() {
        return detailMessage;
    }

    @Override
    public String getMessage() {
        return message;
    }

    public Integer getCode() {
        return code;
    }

    public ServiceReturnCodeException setMessage(String message) {
        this.message = message;
        return this;
    }

    public ServiceReturnCodeException setDetailMessage(String detailMessage) {
        this.detailMessage = detailMessage;
        return this;
    }
}
